<div dir="ltr"><div class="gmail_default" style="font-size:small">You could have conflicts going on with the repositories version if you've installed the ppa version as well.</div><div class="gmail_default" style="font-size:small"><br></div><div class="gmail_default" style="font-size:small">I would advise the following...</div><div class="gmail_default" style="font-size:small">first clear ALL gambas stuff out, from terminal type</div><div class="gmail_default" style="font-size:small"><b>sudo apt-get purge gambas3*</b></div><div class="gmail_default" style="font-size:small"><br></div><div class="gmail_default" style="font-size:small">then load synaptic package manager and click on the "Origins" button.</div><div class="gmail_default" style="font-size:small">Then from the list find the gambas3-team-ppa you added and install your gambas components only from there.</div><div class="gmail_default" style="font-size:small"><br></div><div class="gmail_default" style="font-size:small">Just using apt-get install gambas3 after adding a ppa can cause problems with conflicts.</div><div class="gmail_default" style="font-size:small"><br></div><div class="gmail_default" style="font-size:small">Hope this helps :)<br></div></div><br><div class="gmail_quote"><div dir="ltr" class="gmail_attr">On Mon, 5 Oct 2020 at 12:09, Boris Breuer <<a href="mailto:bpfewo@gmail.com">bpfewo@gmail.com</a>> wrote:<br></div><blockquote class="gmail_quote" style="margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex"><div dir="ltr"><div>Hi Bruce,</div><div><br></div><div>thanks for your reply. Just give it a try:</div><div><br></div><div>sudo apt install gambas3::</div><div><br></div><div>Reading package lists... Done<br>Building dependency tree<br>Reading state information... Done<br>gambas3 is already the newest version (3.15.2+git6080.2c36245e4+build5.da1e7df.17.76493e1~ubuntu20.04.1).<br>0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.</div><div><br></div><div>Not sure, but this means the package should be there, doesn't it? ;)<br></div></div><br><div class="gmail_quote"><div dir="ltr" class="gmail_attr">Am Mo., 5. Okt. 2020 um 12:56 Uhr schrieb <<a href="mailto:user-request@lists.gambas-basic.org" target="_blank">user-request@lists.gambas-basic.org</a>>:<br></div><blockquote class="gmail_quote" style="margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left:1ex">Send User mailing list submissions to<br>
        <a href="mailto:user@lists.gambas-basic.org" target="_blank">user@lists.gambas-basic.org</a><br>
<br>
To subscribe or unsubscribe via the World Wide Web, visit<br>
        <a href="http://lists.gambas-basic.org/listinfo/user" rel="noreferrer" target="_blank">http://lists.gambas-basic.org/listinfo/user</a><br>
or, via email, send a message with subject or body 'help' to<br>
        <a href="mailto:user-request@lists.gambas-basic.org" target="_blank">user-request@lists.gambas-basic.org</a><br>
<br>
You can reach the person managing the list at<br>
        <a href="mailto:user-owner@lists.gambas-basic.org" target="_blank">user-owner@lists.gambas-basic.org</a><br>
<br>
When replying, please edit your Subject line so it is more specific<br>
than "Re: Contents of User digest..."<br>
<br>
<br>
Today's Topics:<br>
<br>
   1. Re: Advice/Help appreciated: Gambas install on WSL Ubuntu<br>
      20.04 (Bruce Steers)<br>
<br>
<br>
----------------------------------------------------------------------<br>
<br>
Message: 1<br>
Date: Mon, 5 Oct 2020 11:53:25 +0100<br>
From: Bruce Steers <<a href="mailto:bsteers4@gmail.com" target="_blank">bsteers4@gmail.com</a>><br>
To: Gambas Mailing List <<a href="mailto:user@lists.gambas-basic.org" target="_blank">user@lists.gambas-basic.org</a>><br>
Subject: Re: [Gambas-user] Advice/Help appreciated: Gambas install on<br>
        WSL Ubuntu 20.04<br>
Message-ID:<br>
        <CABuQYCDLQyPZ1DjMNpJE2GiBFKg8qid27s=<a href="mailto:ce5nJyQg%2B8LV3yA@mail.gmail.com" target="_blank">ce5nJyQg+8LV3yA@mail.gmail.com</a>><br>
Content-Type: text/plain; charset="utf-8"<br>
<br>
Hi.<br>
According to --get-selections you don't seem to have anything Gambas<br>
installed at all.<br>
<br>
You'll need to install the main package gambas3<br>
<br>
apt-get install gambas3<br>
<br>
:)<br>
<br>
On Mon, 5 Oct 2020 at 08:09, Boris Breuer <<a href="mailto:bpfewo@gmail.com" target="_blank">bpfewo@gmail.com</a>> wrote:<br>
<br>
> Good morning altogether,<br>
><br>
> i am new to programming in Gambas BASIC - though a little experience in<br>
> <a href="http://vb.net" rel="noreferrer" target="_blank">vb.net</a>, vba and lazarus / freepascal is there ;)<br>
><br>
> Due to work my main computer has to have windows installed but i thought<br>
> it would be nice to have a linux-system on WSL with ubuntu aside. For<br>
> developing purposes I wanted to install gambas 3.15.2 from the ubuntu ppa.<br>
> That worked to some extent. After install the command gambas3 only delivers<br>
> an error message: gb.gui.qt: error: cannot load component 'gb.qt5'<br>
><br>
> An dpkg --get-selections | grep gambas3 shows:<br>
><br>
> gambas3                                         install<br>
> gambas3-devel                                   install<br>
> gambas3-gb-args                                 install<br>
> gambas3-gb-cairo                                install<br>
> gambas3-gb-chart                                install<br>
> gambas3-gb-clipper                              install<br>
> gambas3-gb-complex                              install<br>
> gambas3-gb-compress                             install<br>
> gambas3-gb-compress-bzlib2                      install<br>
> gambas3-gb-compress-zlib                        install<br>
> gambas3-gb-crypt                                install<br>
> gambas3-gb-data                                 install<br>
> gambas3-gb-db                                   install<br>
> gambas3-gb-db-form                              install<br>
> gambas3-gb-db-mysql                             install<br>
> gambas3-gb-db-odbc                              install<br>
> gambas3-gb-db-postgresql                        install<br>
> gambas3-gb-db-sqlite3                           install<br>
> gambas3-gb-dbus                                 install<br>
> gambas3-gb-dbus-trayicon                        install<br>
> gambas3-gb-desktop                              install<br>
> gambas3-gb-desktop-x11                          install<br>
> gambas3-gb-eval-highlight                       install<br>
> gambas3-gb-form                                 install<br>
> gambas3-gb-form-dialog                          install<br>
> gambas3-gb-form-editor                          install<br>
> gambas3-gb-form-mdi                             install<br>
> gambas3-gb-form-print                           install<br>
> gambas3-gb-form-stock                           install<br>
> gambas3-gb-form-terminal                        install<br>
> gambas3-gb-gmp                                  install<br>
> gambas3-gb-gsl                                  install<br>
> gambas3-gb-gtk                                  install<br>
> gambas3-gb-gtk-opengl                           install<br>
> gambas3-gb-gtk3                                 install<br>
> gambas3-gb-httpd                                install<br>
> gambas3-gb-image                                install<br>
> gambas3-gb-image-effect                         install<br>
> gambas3-gb-image-imlib                          install<br>
> gambas3-gb-image-io                             install<br>
> gambas3-gb-inotify                              install<br>
> gambas3-gb-libxml                               install<br>
> gambas3-gb-logging                              install<br>
> gambas3-gb-map                                  install<br>
> gambas3-gb-markdown                             install<br>
> gambas3-gb-media                                install<br>
> gambas3-gb-media-form                           install<br>
> gambas3-gb-memcached                            install<br>
> gambas3-gb-mime                                 install<br>
> gambas3-gb-mysql                                install<br>
> gambas3-gb-ncurses                              install<br>
> gambas3-gb-net                                  install<br>
> gambas3-gb-net-curl                             install<br>
> gambas3-gb-net-pop3                             install<br>
> gambas3-gb-net-smtp                             install<br>
> gambas3-gb-openal                               install<br>
> gambas3-gb-opengl                               install<br>
> gambas3-gb-opengl-glsl                          install<br>
> gambas3-gb-opengl-glu                           install<br>
> gambas3-gb-opengl-sge                           install<br>
> gambas3-gb-openssl                              install<br>
> gambas3-gb-option                               install<br>
> gambas3-gb-pcre                                 install<br>
> gambas3-gb-pdf                                  install<br>
> gambas3-gb-qt5                                  install<br>
> gambas3-gb-qt5-ext                              install<br>
> gambas3-gb-qt5-opengl                           install<br>
> gambas3-gb-qt5-webkit                           install<br>
> gambas3-gb-report                               install<br>
> gambas3-gb-report2                              install<br>
> gambas3-gb-scanner                              install<br>
> gambas3-gb-sdl                                  install<br>
> gambas3-gb-sdl-sound                            install<br>
> gambas3-gb-sdl2                                 install<br>
> gambas3-gb-sdl2-audio                           install<br>
> gambas3-gb-settings                             install<br>
> gambas3-gb-signal                               install<br>
> gambas3-gb-term                                 install<br>
> gambas3-gb-term-form                            install<br>
> gambas3-gb-util                                 install<br>
> gambas3-gb-util-web                             install<br>
> gambas3-gb-v4l                                  install<br>
> gambas3-gb-vb                                   install<br>
> gambas3-gb-web                                  install<br>
> gambas3-gb-web-feed                             install<br>
> gambas3-gb-web-form                             install<br>
> gambas3-gb-web-gui                              install<br>
> gambas3-gb-xml                                  install<br>
> gambas3-gb-xml-html                             install<br>
> gambas3-gb-xml-rpc                              install<br>
> gambas3-gb-xml-xslt                             install<br>
> gambas3-ide                                     install<br>
> gambas3-runtime                                 install<br>
><br>
> And dpkg --get-selections | grep qt5 delivers:<br>
><br>
> libaccounts-qt5-1:amd64                         install<br>
> libdbusmenu-qt5-2:amd64                         install<br>
> libpackagekitqt5-1:amd64                        install<br>
> libphonon4qt5-4:amd64                           install<br>
> libphonon4qt5-data                              install<br>
> libpolkit-qt5-1-1:amd64                         install<br>
> libpoppler-qt5-1:amd64                          install<br>
> libqca-qt5-2:amd64                              install<br>
> libqca-qt5-2-plugins:amd64                      install<br>
> libqt5concurrent5:amd64                         install<br>
> libqt5core5a:amd64                              install<br>
> libqt5dbus5:amd64                               install<br>
> libqt5designer5:amd64                           install<br>
> libqt5gui5:amd64                                install<br>
> libqt5gui5-gles:amd64                           deinstall<br>
> libqt5help5:amd64                               install<br>
> libqt5hunspellinputmethod5:amd64                install<br>
> libqt5multimedia5:amd64                         install<br>
> libqt5multimedia5-plugins:amd64                 install<br>
> libqt5multimediagsttools5:amd64                 install<br>
> libqt5multimediaquick5:amd64                    install<br>
> libqt5multimediawidgets5:amd64                  install<br>
> libqt5network5:amd64                            install<br>
> libqt5opengl5:amd64                             install<br>
> libqt5positioning5:amd64                        install<br>
> libqt5printsupport5:amd64                       install<br>
> libqt5qml5:amd64                                install<br>
> libqt5quick5-gles:amd64                         install<br>
> libqt5quickcontrols2-5:amd64                    install<br>
> libqt5quicktemplates2-5:amd64                   install<br>
> libqt5quickwidgets5:amd64                       install<br>
> libqt5script5:amd64                             install<br>
> libqt5sensors5:amd64                            install<br>
> libqt5sql5:amd64                                install<br>
> libqt5sql5-sqlite:amd64                         install<br>
> libqt5svg5:amd64                                install<br>
> libqt5test5:amd64                               install<br>
> libqt5texttospeech5:amd64                       install<br>
> libqt5virtualkeyboard5:amd64                    install<br>
> libqt5waylandclient5:amd64                      install<br>
> libqt5waylandcompositor5:amd64                  install<br>
> libqt5webchannel5:amd64                         install<br>
> libqt5webengine-data                            install<br>
> libqt5webenginecore5:amd64                      install<br>
> libqt5webenginewidgets5:amd64                   install<br>
> libqt5webkit5:amd64                             install<br>
> libqt5widgets5:amd64                            install<br>
> libqt5x11extras5:amd64                          install<br>
> libqt5xml5:amd64                                install<br>
><br>
> I don't understand why it doesn't work - the desktop environment comes up<br>
> and works on the x-server on windows very well.<br>
> On my mobile workplace an install from ppa on KDE Neon worked like a charm.<br>
><br>
> Maybe someone can point to a workaround or a solution to this? Thanks in<br>
> advance for your help.<br>
><br>
> Yours sincerly,<br>
><br>
> Boris Breuer<br>
><br>
><br>
> ----[ <a href="http://gambaswiki.org/wiki/doc/netiquette" rel="noreferrer" target="_blank">http://gambaswiki.org/wiki/doc/netiquette</a> ]----<br>
><br>
-------------- next part --------------<br>
An HTML attachment was scrubbed...<br>
URL: <<a href="http://lists.gambas-basic.org/pipermail/user/attachments/20201005/f65a6b58/attachment.htm" rel="noreferrer" target="_blank">http://lists.gambas-basic.org/pipermail/user/attachments/20201005/f65a6b58/attachment.htm</a>><br>
<br>
------------------------------<br>
<br>
Subject: Digest Footer<br>
<br>
----[ Gambas mailing-list is hosted by <a href="https://www.hostsharing.net" rel="noreferrer" target="_blank">https://www.hostsharing.net</a> ]----<br>
<br>
<br>
------------------------------<br>
<br>
End of User Digest, Vol 37, Issue 11<br>
************************************<br>
</blockquote></div>
<br>
----[ <a href="http://gambaswiki.org/wiki/doc/netiquette" rel="noreferrer" target="_blank">http://gambaswiki.org/wiki/doc/netiquette</a> ]----<br>
</blockquote></div>